PutResourcePolicy
Associates a resource policy with a knowledge base. A resource policy allows other AWS accounts to access the knowledge base. For more information, see Cross-account access for knowledge bases.
Request Syntax
PUT /resourcepolicy/resourceArn HTTP/1.1
Content-type: application/json
{
"expectedRevisionId": "string",
"policy": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- resourceArn
-
The Amazon Resource Name (ARN) of the knowledge base to attach the resource policy to.
Length Constraints: Minimum length of 20. Maximum length of 1011.
Pattern:
arn:aws(-[^:]+)?:bedrock:[a-z0-9-]{1,20}:[0-9]{12}:knowledge-base/[0-9a-zA-Z]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- expectedRevisionId
-
The expected revision identifier of the resource policy. Use this to prevent conflicts when multiple users update the same policy concurrently. Specify the
revisionIdfrom the most recentGetResourcePolicyorPutResourcePolicyresponse.Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Required: No
- policy
-
The JSON-formatted resource policy to associate with the knowledge base.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 20480.
Pattern:
[\u0009\u000A\u000D\u0020-\u00FF]+Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"resourceArn": "string",
"revisionId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- resourceArn
-
The ARN of the knowledge base that the resource policy was attached to.
Type: String
Length Constraints: Minimum length of 20. Maximum length of 1011.
Pattern:
arn:aws(-[^:]+)?:bedrock:[a-z0-9-]{1,20}:[0-9]{12}:knowledge-base/[0-9a-zA-Z]+ - revisionId
-
The revision identifier of the resource policy. Use this value in the
expectedRevisionIdfield of a subsequentPutResourcePolicyorDeleteResourcePolicyrequest.Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is denied because of missing access permissions.
HTTP Status Code: 403
- ConflictException
-
There was a conflict performing an operation.
HTTP Status Code: 409
- InternalServerException
-
An internal server error occurred. Retry your request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.
HTTP Status Code: 404
- ThrottlingException
-
The number of requests exceeds the limit. Resubmit your request later.
HTTP Status Code: 429
- ValidationException
-
Input validation failed. Check your request parameters and retry the request.
- fieldList
-
A list of objects containing fields that caused validation errors and their corresponding validation error messages.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: